<template>
  <v-data-table
    v-bind="dataInfo"
    :hide-default-footer="dataInfo.items.length <= 10"
    @click:row="details"
    :loading="loading"
    loading-text="Cargando..."
    no-data-text="No se encontraron resultados"
    :sort-by="sortby"
    :sort-desc="sortdesc"
    :search="search"
    :items-per-page="itemsPerPage"
  />
</template>

<script>
export default {
  props: {
    dataInfo: Object, //must have headers & items
    dataPath: Object, //must have url & id variable
    loading: Boolean,
    sortby: Array,
    sortdesc: Array,
    search: String,
    itemsPerPage: { type: Number, default: 10 },
  },
  methods: {
    details(value) {
      if (this.dataPath != null) {
        let path = this.dataPath.url + value[this.dataPath.id];
        this.$router.push(path);
      }
    },
  },
};
</script>
<style scoped lang="scss">
</style>
